{ pkgs, lib, config, ... }: {
  options.mods.user.name = lib.mkOption {
    default = "muon";
    description = "username of the main system user";
  };

  config = {
    users.users.${config.mods.user.name} = {
      isNormalUser = true;
      extraGroups = [ "wheel" ];
      hashedPasswordFile = config.sops.secrets.muon-password.path;
      shell = if config.programs.zsh.enable then pkgs.zsh else pkgs.bash;
    };
  };
}
